Opened 9 years ago

Closed 9 years ago

Last modified 9 years ago

#2385 closed task (wontfix)

Include cabal-install in the release

Reported by: simonmar Owned by:
Priority: high Milestone: 6.10.1
Component: Build System Version: 6.8.3
Keywords: Cc: id@…, pho@…, ndmitchell@…, shelarcy@…
Operating System: Unknown/Multiple Architecture: Unknown/Multiple
Type of failure: None/Unknown Test Case:
Blocked By: Blocking:
Related Tickets: Differential Rev(s):
Wiki Page:

Description

Open issues:

  • Do we also want to ship zlib and HTTP, which are dependencies of cabal-install? Certainly we need to build them in order to build cabal-install, but we have the option of not shipping them.
  • On Windows, cabal.exe cannot overwrite itself, making upgrades difficult.

Change History (8)

comment:1 Changed 9 years ago by Isaac Dupree

Cc: id@… added

comment:2 Changed 9 years ago by PHO

Cc: pho@… added

comment:3 Changed 9 years ago by igloo

I don't think the problem with cabal.exe upgrading itself is relevant for shipping it with GHC.

comment:4 Changed 9 years ago by NeilMitchell

Cc: ndmitchell@… added

comment:5 Changed 9 years ago by shelarcy

Cc: shelarcy@… added

comment:6 Changed 9 years ago by igloo

Resolution: wontfix
Status: newclosed

We've discussed this, and concluded that cabal-install should come with the HP installer rather than the GHC installer.

comment:7 Changed 9 years ago by simonmar

Architecture: UnknownUnknown/Multiple

comment:8 Changed 9 years ago by simonmar

Operating System: UnknownUnknown/Multiple
Note: See TracTickets for help on using tickets.